# Uses of Interface
org.fressian.handlers.ILookup

Packages that use ILookup
Package
Description
org.fressian
org.fressian.handlers
org.fressian.impl

## Uses of ILookup in org.fressian

Constructors in org.fressian with parameters of type ILookup
Modifier
Constructor
Description
``
`FressianReader(InputStream is, ILookup<Object, ReadHandler> handlerLookup)`
``
`FressianReader(InputStream is, ILookup<Object, ReadHandler> handlerLookup, boolean validateAdler)`
``
`FressianWriter(OutputStream out, ILookup<Class, Map<String, WriteHandler>> userHandlers)`
Create a writer that combines userHandlers with the normal type handlers built into Fressian.

## Uses of ILookup in org.fressian.handlers

Methods in org.fressian.handlers that return ILookup
Modifier and Type
Method
Description
`static ILookup<Class, Map<String, WriteHandler>>`
WriteHandlerLookup.`createLookupChain(ILookup<Class, Map<String, WriteHandler>> userHandlers)`
Methods in org.fressian.handlers with parameters of type ILookup
Modifier and Type
Method
Description
`static ILookup<Class, Map<String, WriteHandler>>`
WriteHandlerLookup.`createLookupChain(ILookup<Class, Map<String, WriteHandler>> userHandlers)`
Constructors in org.fressian.handlers with parameters of type ILookup
Modifier
Constructor
Description
``
`WriteHandlerLookup(ILookup<Class, Map<String, WriteHandler>> userHandlers)`

## Uses of ILookup in org.fressian.impl

Classes in org.fressian.impl that implement ILookup
Modifier and Type
Class
Description
`class`
`CachingLookup<K,V>`
`class`
`ChainedLookup<K,V>`
`class`
`InheritanceLookup<V>`
`class`
`MapLookup<K,V>`
Fields in org.fressian.impl declared as ILookup
Modifier and Type
Field
Description
`static final ILookup<Class, Map<String, WriteHandler>>`
Handlers.`coreWriteHandlers`
`static final ILookup<Class, Map<String, WriteHandler>>`
Handlers.`extendedWriteHandlers`
`final ILookup<K,V>`
CachingLookup.`lookup`
`final ILookup<K,V>[]`
ChainedLookup.`lookups`
Methods in org.fressian.impl that return ILookup
Modifier and Type
Method
Description
`static ILookup<Class, Map<String, WriteHandler>>`
Handlers.`customWriteHandlers(ILookup<Class, Map<String, WriteHandler>> userHandlers)`
`static ILookup<Class, Map<String, WriteHandler>>`
Handlers.`defaultWriteHandlers()`
Methods in org.fressian.impl with parameters of type ILookup
Modifier and Type
Method
Description
`static ILookup<Class, Map<String, WriteHandler>>`
Handlers.`customWriteHandlers(ILookup<Class, Map<String, WriteHandler>> userHandlers)`
`static <K,V> V`
Fns.`lookup(ILookup<K,V> theLookup, K k)`
Constructors in org.fressian.impl with parameters of type ILookup
Modifier
Constructor
Description
``
`CachingLookup(ILookup<K,V> lookup)`
``
`ChainedLookup(ILookup<K,V>... lookups)`
``
`InheritanceLookup(ILookup lookup)`